#ifndef CAMERAIMAGEHANDLER_H
#define CAMERAIMAGEHANDLER_H
#include "CameraMaterialGroupWnd/Group.h"
#include "CameraMaterialGroupWnd/MaterialWindow/Wafer.h"


class CameraImageHandler : public QWidget {
    Q_OBJECT
public:
    CameraImageHandler(int iCameraId);

    Group* getGroup() const;
    Wafer* getWafer() const;

private:
    void captureAndConvertImage(int CameraId);
    Group* group;  // 存储 Group 对象的容器
    void initGroup(int CameraId);
    Wafer* wafer;

    int MaterialWindowType = 1; // 物料窗口类型标识，1代表圆晶 后面接口获取标识
};

#endif // CAMERAIMAGEHANDLER_H
